Bug 1291425 - xembedsniproxy: (RFE) restartable systemd-user service
xembedsniproxy: (RFE) restartable systemd-user service
Status: NEW
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 15:47 EST by Raman Gupta
Modified: 2016-02-04 11:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raman Gupta 2015-12-14 15:47:58 EST
Description of problem:

The package plasma-workspace contains /etc/xdg/autostart/xembedsniproxy.desktop but xembedsniproxy is not started automatically by KDE.


Version-Release number of selected component (if applicable):

# rpm -q --info plasma-workspace
Name        : plasma-workspace
Version     : 5.5.0
Release     : 2.fc23
Architecture: x86_64

How reproducible:

Every time.


Steps to Reproduce:
1. Start KDE

Actual results:

See that xembedsniproxy is not running


Expected results:

xembedsniproxy should be running


Additional info:

Without this tool running, the system tray icons do not work for pidgin and perhaps other programs as well. See http://blog.davidedmundson.co.uk/blog/xembed_back.
Comment 1 Rex Dieter 2015-12-14 16:00:24 EST
It's probably running, but then crashing.

Can you try starting it by hand?
Comment 2 Raman Gupta 2015-12-14 16:14:02 EST
Works fine if I start it by hand. I'm not seeing anything that looks relevant in .xsession-errors re. a crash.
Comment 3 Raman Gupta 2015-12-14 16:22:12 EST
Ok, I just found some errors in /var/log/messages. Looks like it is segfaulting on startup. I don't know why it works when run manually (via a krunner input) vs when run automatically by KDE.


Dec 14 13:44:50 edison audit: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=4580 comm="xembedsniproxy" exe="/usr/bin/xembedsniproxy" sig=11                                                                                                                                                                           
Dec 14 13:44:50 edison kernel: xembedsniproxy[4580]: segfault at 10 ip 000055f63708ab05 sp 00007ffe7d5f4e90 error 4 in xembedsniproxy[55f63707c000+16000]
Dec 14 14:41:44 edison audit: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=12706 comm="xembedsniproxy" exe="/usr/bin/xembedsniproxy" sig=11                                                                                                                                                                          
Dec 14 14:41:44 edison kernel: xembedsniproxy[12706]: segfault at 10 ip 000055b78638eb05 sp 00007ffe1b11a8e0 error 4 in xembedsniproxy[55b786380000+16000]
Dec 14 14:49:49 edison audit: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=5 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=14627 comm="xembedsniproxy" exe="/usr/bin/xembedsniproxy" sig=11
Dec 14 14:49:49 edison kernel: xembedsniproxy[14627]: segfault at 10 ip 00005555ad680b05 sp 00007ffc0d8fdd70 error 4 in xembedsniproxy[5555ad672000+16000]
Dec 14 15:08:19 edison audit: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=6 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=19758 comm="xembedsniproxy" exe="/usr/bin/xembedsniproxy" sig=11
Dec 14 15:08:19 edison kernel: xembedsniproxy[19758]: segfault at 10 ip 000055ea6f4e8b05 sp 00007fff682cc2d0 error 4 in xembedsniproxy[55ea6f4da000+16000]
Dec 14 15:39:58 edison audit: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=9 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=30931 comm="xembedsniproxy" exe="/usr/bin/xembedsniproxy" sig=11
Dec 14 15:39:58 edison kernel: xembedsniproxy[30931]: segfault at 10 ip 000055ffaf24db05 sp 00007ffce9a7ae80 error 4 in xembedsniproxy[55ffaf23f000+16000]
Comment 4 Raman Gupta 2015-12-16 15:30:24 EST
Could it be this bug? https://bugs.kde.org/show_bug.cgi?id=355463
Comment 5 Raman Gupta 2015-12-17 06:26:46 EST
Note that xembedsniproxy crashes quite a lot -- it just randomly crashed on me again. I just set it up as a systemd user unit with a Restart directive which should work nicely:

~ cat .config/systemd/user/xembedsniproxy.service
[Unit]
Description=xembed SNI proxy daemon

[Service]
ExecStart=/usr/bin/xembedsniproxy
Restart=on-failure

[Install]
WantedBy=graphical.target

Since this SNI proxy should (theoretically) be temporary, perhaps rather than attempting to debug issues in this software, the Fedora packaging for this could do something similar with a system-level user service configured in /usr/lib/systemd/user/xembedsniproxy.service?
Comment 6 Rex Dieter 2016-02-04 11:18:02 EST
I believe all known-crashers should be addressed in plasma-5.5.4 release, but we can still consider adding a user service in the future.

Note You need to log in before you can comment on or make changes to this bug.